### Method

# Gsk.GLShader.get_resource

#### Declaration [src]

    const char*
    gsk_gl_shader_get_resource (
      GskGLShader* shader
    )

#### Description [src]

Gets the resource path for the GLSL sourcecode being used to render this shader.

Gets property | `Gsk.GLShader:resource`

#### Return value

Returns: `const char*`
The resource path for the shader, or `NULL` if none.
Ownership is not transferred to the caller
The string is a NUL terminated UTF-8 string